Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 911040 - Review Request: nodejs-muffin - Node.js module with handy helpers for building Cakefiles
Summary: Review Request: nodejs-muffin - Node.js module with handy helpers for buildin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcelo Barbosa "firemanxbr"
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 910791 911046 911047 911048 911050 911053
Blocks: nodejs-reviews 911022 911037
TreeView+ depends on / blocked
 
Reported: 2013-02-14 09:41 UTC by Jamie Nguyen
Modified: 2013-08-07 18:12 UTC (History)
5 users (show)

Fixed In Version: nodejs-muffin-0.9.0-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-04 00:04:16 UTC
marcelo.barbosa: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jamie Nguyen 2013-02-14 09:41:04 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-muffin.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-muffin-0.7.0-1.fc18.src.rpm
Fedora Account System Username: jamielinux

Description:
This Node.js module has handy helpers for building Cakefiles.

It has a set of generic high level file operations you don't want to implement
yourself, like copying files, CoffeeScript compilation and compile time
requiring, minification, and SLOC counting.

Comment 1 Jamie Nguyen 2013-05-26 10:58:15 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-muffin.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-muffin-0.9.0-1.fc18.src.rpm

* Sun May 26 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.9.0-1
- update to upstream release 0.9.0
- now using uglify-js 2.x branch
- patches for new q API have now been upstreamed
- add symlink for cloc.pl

Comment 2 Jamie Nguyen 2013-06-20 19:27:53 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-muffin.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-muffin-0.9.0-2.fc19.src.rpm

* Thu Jun 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.9.0-2
- make versioned dependencies less specific

Comment 3 T.C. Hollingsworth 2013-07-19 12:42:24 UTC
Hi Marcelo, what's going on with this review?  It's a key piece of the puzzle to *finally* getting jQuery in the distro.  :-)

Comment 4 Marcelo Barbosa "firemanxbr" 2013-07-19 17:24:02 UTC
Jamie,

   Your package not declared some directories created, see:

deps/ 
lib/

   Both directories should be in %files

I think could check also if the variable "BuildRequire: nodejs-packaging" should not be "BuildRequires: nodejs-devel" ?http://fedoraproject.org/wiki/Packaging:Node.js#BuildRequires

Thank you

Marcelo Barbosa - (firemanxbr)

Comment 5 Jamie Nguyen 2013-07-21 18:31:52 UTC
(In reply to Marcelo Barbosa from comment #4)
>    Your package not declared some directories created, see:
> 
> deps/ 
> lib/
> 
>    Both directories should be in %files

Both of these directories are already in %files.

47 cp -pr package.json deps/ lib/ \
48     %{buildroot}%{nodejs_sitelib}/muffin
...
57 %files
58 %doc Readme.md docs/
59 %{nodejs_sitelib}/muffin


> I think could check also if the variable "BuildRequire: nodejs-packaging"
> should not be "BuildRequires: nodejs-devel"
> ?http://fedoraproject.org/wiki/Packaging:Node.js#BuildRequires

So this isn't actually properly documented yet. The new guidelines actually recommend nodejs-packaging. You can see the draft here:

https://fedoraproject.org/wiki/User:Patches/PackagingDrafts/NodeJS#BuildRequires

Comment 6 Marcelo Barbosa "firemanxbr" 2013-07-21 19:04:57 UTC
Jamie,

   I did not know that this document was already valid, I begin to consider this right now, thank you.


- Outputs form rpmlint are false positives 


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 102400 bytes in 4 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Perl:
[-]: Package contains the mandatory BuildRequires and Requires:.
     Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo
     $version)) missing?

===== SHOULD items =====
Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define.

===== EXTRA items =====
Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: nodejs-muffin-0.9.0-2.fc20.noarch.rpm
nodejs-muffin.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-muffin.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-muffin.noarch: W: spelling-error %description -l en_US minification -> agnification, indemnification, mummification
nodejs-muffin.noarch: W: only-non-binary-in-usr-lib
nodejs-muffin.noarch: W: dangling-symlink /usr/lib/node_modules/muffin/node_modules/coffee-script /usr/lib/node_modules/coffee-script
nodejs-muffin.noarch: W: dangling-symlink /usr/lib/node_modules/muffin/node_modules/q-io /usr/lib/node_modules/q-io
nodejs-muffin.noarch: W: dangling-symlink /usr/lib/node_modules/muffin/node_modules/prompt /usr/lib/node_modules/prompt
nodejs-muffin.noarch: W: dangling-symlink /usr/lib/node_modules/muffin/node_modules/temp /usr/lib/node_modules/temp
nodejs-muffin.noarch: W: dangling-symlink /usr/lib/node_modules/muffin/node_modules/snockets /usr/lib/node_modules/snockets
	nodejs-muffin.noarch: W: dangling-symlink /usr/lib/node_modules/muffin/deps/cloc.pl /usr/bin/cloc
	nodejs-muffin.noarch: W: dangling-symlink /usr/lib/node_modules/muffin/node_modules/q /usr/lib/node_modules/q
	nodejs-muffin.noarch: W: dangling-symlink /usr/lib/node_modules/muffin/node_modules/uglify-js /usr/lib/node_modules/uglify-js@2
	nodejs-muffin.noarch: W: dangling-symlink /usr/lib/node_modules/muffin/node_modules/glob /usr/lib/node_modules/glob
	1 packages and 0 specfiles checked; 0 errors, 13 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-muffin
nodejs-muffin.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-muffin.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-muffin.noarch: W: spelling-error %description -l en_US minification -> magnification, indemnification, mummification
nodejs-muffin.noarch: W: only-non-binary-in-usr-lib
nodejs-muffin.noarch: W: dangling-symlink /usr/lib/node_modules/muffin/node_modules/coffee-script /usr/lib/node_modules/coffee-script
	nodejs-muffin.noarch: W: dangling-symlink /usr/lib/node_modules/muffin/node_modules/q-io /usr/lib/node_modules/q-io
	nodejs-muffin.noarch: W: dangling-symlink /usr/lib/node_modules/muffin/node_modules/prompt /usr/lib/node_modules/prompt
	nodejs-muffin.noarch: W: dangling-symlink /usr/lib/node_modules/muffin/node_modules/temp /usr/lib/node_modules/temp
	nodejs-muffin.noarch: W: dangling-symlink /usr/lib/node_modules/muffin/node_modules/snockets /usr/lib/node_modules/snockets
	nodejs-muffin.noarch: W: dangling-symlink /usr/lib/node_modules/muffin/deps/cloc.pl /usr/bin/cloc
	nodejs-muffin.noarch: W: dangling-symlink /usr/lib/node_modules/muffin/node_modules/q /usr/lib/node_modules/q
	nodejs-muffin.noarch: W: dangling-symlink /usr/lib/node_modules/muffin/node_modules/uglify-js /usr/lib/node_modules/uglify-js@2
	nodejs-muffin.noarch: W: dangling-symlink /usr/lib/node_modules/muffin/node_modules/glob /usr/lib/node_modules/glob
1 packages and 0 specfiles checked; 0 errors, 13 warnings.
# echo 'rpmlint-done:'


Requires
--------
nodejs-muffin (rpmlib, GLIBC filtered):
    cloc
    nodejs(engine)
    npm(coffee-script)
    npm(glob)
    npm(prompt)
    npm(q)
    npm(q-io)
    npm(snockets)
    npm(temp)
    npm(uglify-js)


Provides
--------
nodejs-muffin:
    nodejs-muffin
    npm(muffin)



Source checksums
----------------
http://registry.npmjs.org/muffin/-/muffin-0.9.0.tgz :
  CHECKSUM(SHA256) this package     : 3a51305b38fea932ee4e2fd297eb33ef933b5f467b7ce9cde8e882ead22cdc58
  CHECKSUM(SHA256) upstream package : 3a51305b38fea932ee4e2fd297eb33ef933b5f467b7ce9cde8e882ead22cdc58


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 911040 -m fedora-rawhide-x86_64

----------------

PACKAGE APPROVED

----------------

Marcelo Barbosa (firemanxbr)

Comment 7 Jamie Nguyen 2013-07-21 19:08:46 UTC
(In reply to Marcelo Barbosa from comment #6)
>    I did not know that this document was already valid, I begin to consider
> this right now, thank you.

Yeah, it's not quite "official" yet, but it'll save time to treat it as official now for all new packages. Thanks again for the review!

Comment 8 Jamie Nguyen 2013-07-21 19:09:31 UTC
New Package SCM Request
=======================
Package Name: nodejs-muffin
Short Description: Node.js module with handy helpers for building Cakefiles
Owners: jamielinux patches
Branches: f18 f19 el6
InitialCC:

Comment 9 Gwyn Ciesla 2013-07-22 09:54:25 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2013-07-22 10:56:27 UTC
nodejs-muffin-0.9.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-muffin-0.9.0-2.fc19

Comment 11 Fedora Update System 2013-07-22 10:57:05 UTC
nodejs-muffin-0.9.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-muffin-0.9.0-2.fc18

Comment 12 Fedora Update System 2013-07-22 10:57:12 UTC
nodejs-muffin-0.9.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-muffin-0.9.0-2.el6

Comment 13 Fedora Update System 2013-07-22 21:47:50 UTC
nodejs-muffin-0.9.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 14 Fedora Update System 2013-08-04 00:04:16 UTC
nodejs-muffin-0.9.0-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 15 Fedora Update System 2013-08-04 00:04:34 UTC
nodejs-muffin-0.9.0-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 16 Fedora Update System 2013-08-07 18:12:43 UTC
nodejs-muffin-0.9.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.